API Reference
Get a run
Get a run
GET /api/runs/{id}
Get a run
Operation ID: getRun
Authentication
Option 1
- BearerAuth (
http bearer) API key token. Create via POST /api/api-keys. Format:envoy_<hex>
Option 2
- CookieAuth (
apiKey) Session cookie set after login + TOTP verification
Path parameters
id—integer,requiredResource ID
Success responses
200
Run details with active status
Content type: application/json
- Type:
Run & object - All of:
- Variant 1:
- Reference:
Run- Type:
object - Properties:
id(integer)task_id(integer)task_version(integer)trigger_type(string)- Allowed values:
manual,cron,api
- Allowed values:
status(string)- Allowed values:
pending,running,success,completed,failed,cancelled
- Allowed values:
arguments(string | null) — JSON-encoded arguments- Description: JSON-encoded arguments
- Nullable: yes
connector_mapping(string | null) — JSON-encoded map of connector slot name to connector ID- Description: JSON-encoded map of connector slot name to connector ID
- Nullable: yes
started_at(string | null)- Format:
date-time - Nullable: yes
- Format:
completed_at(string | null)- Format:
date-time - Nullable: yes
- Format:
duration_ms(integer | null)- Nullable: yes
item_count(integer | null)- Nullable: yes
error_message(string | null)- Nullable: yes
log_file(string | null)- Nullable: yes
metrics_summary(string | null)- Nullable: yes
created_at(string)- Format:
date-time
- Format:
updated_at(string)- Format:
date-time
- Format:
- Type:
- Reference:
- Variant 2:
- Type:
object - Properties:
is_active(boolean)
- Type:
- Variant 1:
Error responses
404
Resource not found
Content type: application/json
- Reference:
Error- Type:
object - Properties:
error(string)- Example:
NOT_FOUND
- Example:
message(string)- Example:
Resource not found
- Example:
- Type:
Example:
{
"error": "NOT_FOUND",
"message": "Resource not found"
}Examples
cURL
curl --request GET \
--url 'https://your-envoy.example.com/api/runs/YOUR_ID' \
--header 'Authorization: Bearer $API_KEY'JavaScript (fetch)
const response = await fetch('https://your-envoy.example.com/api/runs/YOUR_ID', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
});
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);